/********************************************************
 *
 *
 * DHCP/BOOTP-Client
 *
 *
 *
 * anhe, 13.03.2009
 *
 * License: GPL v3
 *
 ********************************************************/

#include <config.h>


#if USE_DHCP
#ifndef _DHCPC_H
	#define _DHCPC_H

	#define DHCP_DEBUG usart_write
	// #define NTP_DEBUG (...)

	#include <avr/io.h>
	#include <avr/pgmspace.h>
        #include "stack.h"
	#include "usart.h"

	#define BOOTPC_PORT	68
	#define BOOTPS_PORT	67

	void dhcpc_init (void);
	void dhcp_discover (void);
	void dhcp_offer (unsigned char);

	struct DHCP_OFFER {
		char dummy[16];
		unsigned char ip[4];
        };


#endif
#endif //USE_DHCPC
