/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        09.11.2007
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************


//----------------------------------------------------------------------------
//Dazustellende Webseite
PROGMEM char Page1[] = {
	"<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"
	"<html>\n"
	"<head>\n"
	"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\n"
	"<title>"AVR_WEBSERVER_NAME"</title>\n"
	"<style type=\"text/css\">\n"
	"<!--\n"
	"body { background: white; margin: 5em; font-family: arial,helvetica,sans-serif; width: 80%; }\n"
	"h1 { font-size: 2.8em; border: 1px solid; border-width: 0.1em; border-color: #06276d; \n"
	"     background: #ffcc06; color: #06276d; padding: 0.5em;\n"
	"     background-image: url(tux.png); background-repeat:no-repeat; background-position: 98% 50%; }\n"
	"h2 { font-size: 1.2em; border: 1px solid; border-width: 0 0 0.1em 0; background: #efefef;\n"
	"     color: #06276d; padding: 0.3em; }\n"
	"td { text-align:center; padding: 0.8em; border: 0px; }\n"
	".foot { font-size: 0.8em; margin: 3em 0 0 0; padding: 0.8em; border: 1px solid;\n"
	"        border-width: 1px 0 0 0; width: 40%; border-color: #06276d; }\n"
	".bar { border: 1px solid; padding: 2px; border-color: #06276d; width: 400px; }\n"
	".graph { background-color: #06276d; height: 0.8em; }\n"
	".box { border: 1px solid; padding: 2px; width: 0.8em; height: 0.8em; }\n"
	".on  { background-color: #00d100; width: 0.8em; height: 0.8em; }\n"
	".off { background-color: #eaeaea; width: 0.8em; height: 0.8em; }\n"
	"-->\n"
	"</style>\n"
	"</head>\n"

	"<body>\n"
	"<h1>Chemnitzer Linux-Tage</h1>\n"
	"<p>\n"
	"Unser AVR-Webserver Projekt zu den Chemnitzer Linux-Tagen 2010.<br/>\n"
	"Die Idee und Implementation basiert auf U.Radigs <a href=\"http://www.ulrichradig.de\">AVR mini Webserver</a><br/>\n"
	"<a href=\"/status.html\">Server Status</a>\n"
	"</p>\n"
	"<form name=\"form1\" method=\"post\" action=\"\">\n"

	// Output
	"<h2>Ausg&auml;nge</h2>\n"
	//anschauen httpd.c ab Zeile 124 und 172
	//Port Schalten und Status %PORTA0 bedeutet PORTA PIN0
	"<table>\n"
        "<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"A\" %PORTC0></td><td>Port C Pin 0</td></tr>\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"B\" %PORTC1></td><td>Port C Pin 1</td></tr>\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"C\" %PORTC2></td><td>Port C Pin 2</td></tr>\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"D\" %PORTC3></td><td>Port C Pin 3</td></tr>\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"E\" %PORTC4></td><td>Port C Pin 4</td></tr>\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"F\" %PORTC5></td><td>Port C Pin 5</td></tr>\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"G\" %PORTC6></td><td>Port C Pin 6</td></tr>\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"H\" %PORTC7></td><td>Port C Pin 7</td></tr>\n"
	"</table>\n"

	//Rechner ber WOL einschalten
	#if USE_WOL
	"<h2>Wake On Lan</h2>\n"
	"<p><input type=\"checkbox\" name=\"OUT\" value=\"W\">Wake On Lan</p>\n"
	#endif //USE_WOL
	"<p><input type=\"submit\" name=\"SUB\" value=\"Senden\"></p>\n"

	// Input
	"<h2>Eing&auml;nge</h2>\n"
	"<table>\n"
	"<tr><td><div class=\"box\"><div class=\"%PINA4\"></div></div></td><td>Port A Pin 4</td></tr>\n"
	"<tr><td><div class=\"box\"><div class=\"%PINA5\"></div></div></td><td>Port A Pin 5</td></tr>\n"
	"<tr><td><div class=\"box\"><div class=\"%PINA6\"></div></div></td><td>Port A Pin 6</td></tr>\n"
	"<tr><td><div class=\"box\"><div class=\"%PINA7\"></div></div></td><td>Port A Pin 7</td></tr>\n"
	"</table>\n"
	// old samples
	//"<p><img src=\"%PIND7\" width=\"17\" height=\"17\"> Port A Pin 4</p>r\n"
	//"<p><input type=\"checkbox\" name=\"IN\" value=\"X\" disabled=\"true\" %PINA4> Port A Pin 4</p>\n"

	// CSS Bargraph
	"<h2>Analog Eing&auml;nge</h2>\n"
	"<table>\n"
	"<tr><th>Eingang</th><th>Bargraph</th><th>Messwert</th></tr>\n"
	"<tr><td>Kanal 0</td><td><div class=\"bar\"><div class=\"graph\" style=\"width: %VAP@00%;\"></div></div></td><td>%VA@00</td></tr>\n"
	"<tr><td>Kanal 1</td><td><div class=\"bar\"><div class=\"graph\" style=\"width: %VAP@01%;\"></div></div></td><td>%VA@01</td></tr>\n"
	"<tr><td>Kanal 2</td><td><div class=\"bar\"><div class=\"graph\" style=\"width: %VAP@02%;\"></div></div></td><td>%VA@02</td></tr>\n"
	"<tr><td>Kanal 3</td><td><div class=\"bar\"><div class=\"graph\" style=\"width: %VAP@03%;\"></div></div></td><td>%VA@03</td></tr>\n"
	"</table>\n"

	// OneWire
	#if USE_ONEWIRE
	"<h2>OneWire Bus</h2>\n"
	"%OWBUS\n"
	"<table>\n"
	"<tr><th>OneWire ID</th><th>Temperatur [&deg;C]</th></tr>\n"
	"<tr><td>%OWID@0</td><td>%OWVAL@0</td></tr>\n"
	"<tr><td>%OWID@1</td><td>%OWVAL@1</td></tr>\n"
	"<tr><td>%OWID@2</td><td>%OWVAL@2</td></tr>\n"
	"<tr><td>%OWID@3</td><td>%OWVAL@3</td></tr>\n"
	"</table>\n"
	#endif

	// footer
	"<div class=\"foot\">\n"
	"Chemnitzer Linux-Tage 2010<br>\n"
	"13./14. M&auml;rz 2010<br>\n"
	"Openhardware Workshop<br/>\n"
	"</div>\n"
	"</body></html>\n"
	"%END"};	

//----------------------------------------------------------------------------
//Status Seite
PROGMEM char Page2[] = {
	"<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"
	"<html>\n"
	"<head>\n"
	"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\n"
	"<title>"AVR_WEBSERVER_NAME"</title>\n"
	"<style type=\"text/css\">\n"
	"<!--\n"
	"body { background: white; margin: 5em; font-family: arial,helvetica,sans-serif; width: 80%; }\n"
	"h2 { font-size: 1.2em; border: 1px solid; border-width: 0 0 0.1em 0; background: #efefef;\n"
	"     color: #06276d; padding: 0.3em; }\n"
	"dt { margin: 0.2em; }\n"
	".foot { font-size: 0.8em; margin: 3em 0 0 0; padding: 0.8em; border: 1px solid;\n"
	"        border-width: 1px 0 0 0; width: 40%; border-color: #06276d; }\n"
	"-->\n"
	"</style>\n"
	"</head>\n"

	"<body>\n"
	"<h2>Server Status</h2>\n"
	"<p>\n"
	"<dl>\n"
	"<dt>Server Version: "AVR_WEBSERVER_NAME"/"AVR_WEBSERVER_VERSION"</dt>\n"
	"<dt>Server Built: built on "__DATE__" "__TIME__", gcc: "__VERSION__"</dt>\n"
	"<dt>Current Time: %DATETIME</dt>\n"
	"<dt>Total accesses: %VA@09</dt>\n"
	"</dl>\n"

	// footer
	"<div class=\"foot\">\n"
	"Chemnitzer Linux-Tage 2010<br>\n"
	"13./14. M&auml;rz 2010<br>\n"
	"Openhardware Workshop<br/>\n"
	"</div>\n"
	"</body></html>\n"
	"%END"};	

//----------------------------------------------------------------------------
// tux.png
PROGMEM char bild_tux[] = {
	0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
	0x00,0x00,0x00,0x32,0x00,0x00,0x00,0x3b,0x08,0x06,0x00,0x00,0x00,0x39,0x30,0xd9,
	0x79,0x00,0x00,0x0c,0x54,0x49,0x44,0x41,0x54,0x68,0xde,0xcd,0x9a,0x7b,0x70,0x15,
	0xd7,0x7d,0xc7,0x3f,0x67,0x77,0xef,0x5b,0x12,0x42,0x17,0x21,0xc9,0xa2,0x12,0x02,
	0x04,0x05,0x09,0x19,0x62,0x6a,0x1e,0x9e,0x61,0xc0,0x36,0x79,0xe0,0x52,0x52,0x4a,
	0x5a,0x4c,0x4d,0x6c,0xcf,0xd4,0x4e,0xed,0xd8,0x33,0x71,0x3c,0xb8,0x74,0x6a,0xbb,
	0x21,0x61,0x3c,0xae,0x49,0xed,0x7a,0x70,0xec,0xd8,0x53,0x33,0x65,0xc6,0xd4,0x34,
	0x1e,0x53,0x30,0x21,0xa1,0x41,0xe3,0x29,0x10,0x1e,0x71,0x00,0xf3,0x90,0xac,0x02,
	0xe2,0x62,0x21,0x22,0xa1,0x17,0x42,0x12,0xf7,0x7d,0x77,0x7f,0xfd,0xe3,0xee,0x55,
	0x2e,0x57,0x0f,0x24,0x21,0x0c,0x67,0xe6,0x37,0xbb,0x73,0xef,0xd9,0xdf,0xef,0x7c,
	0xcf,0xef,0x7d,0x76,0x95,0x88,0x70,0x2b,0x86,0x52,0xca,0x0f,0xac,0x00,0xfe,0x1a,
	0x28,0x07,0xb2,0x81,0x10,0xb0,0x07,0xd8,0x0d,0xec,0x15,0x91,0xe0,0xa8,0x09,0x14,
	0x91,0x51,0x27,0xe0,0x07,0x40,0x1c,0x90,0xfe,0x48,0xd7,0x75,0x01,0x3a,0x80,0x87,
	0x46,0x4d,0xe6,0x2d,0x00,0xb1,0x7e,0x20,0x00,0x80,0x18,0x86,0x21,0xab,0x56,0xad,
	0x92,0xfb,0xef,0xbf,0x5f,0x0c,0xc3,0xb0,0x80,0x57,0x01,0xfd,0x66,0xe5,0x6a,0xa3,
	0x6c,0x4e,0x8f,0x01,0x2f,0x0f,0x36,0x27,0x2b,0x2b,0x8b,0xdc,0xdc,0x5c,0xf2,0xf3,
	0xf3,0x29,0x2c,0x2c,0x54,0xc0,0x3f,0x00,0xeb,0xee,0x28,0xd3,0x02,0x7e,0x39,0x98,
	0x36,0x52,0x1a,0x99,0x3a,0x75,0xaa,0xf8,0x7c,0xbe,0xf4,0xdf,0xc3,0xc0,0x94,0x3b,
	0xc2,0xb4,0x00,0x8f,0xed,0xcc,0x32,0x42,0xda,0x78,0xa7,0x98,0xd6,0x7d,0x36,0x98,
	0x1b,0x0e,0x97,0xcb,0xd5,0xdf,0xcf,0xdf,0xb9,0x19,0xe1,0xa3,0x09,0x64,0x4c,0xea,
	0xc6,0xed,0x76,0xb3,0x70,0xe1,0x42,0xe6,0xce,0x9d,0x7b,0xdd,0x04,0x9f,0xcf,0xc7,
	0xd2,0xa5,0x4b,0x99,0x33,0x67,0x0e,0xcf,0x3e,0xfb,0x2c,0x1e,0xcf,0x75,0xb8,0x4b,
	0x95,0x52,0x95,0x23,0x15,0x6e,0x8c,0x22,0x10,0x1d,0xe0,0x95,0x57,0x5e,0x61,0xde,
	0xbc,0x79,0xb4,0xb6,0xb6,0xf2,0xda,0x6b,0xaf,0xf5,0xfe,0xb9,0x6e,0xdd,0x3a,0x1e,
	0x7e,0xf8,0x61,0xbc,0x5e,0x2f,0xa1,0x50,0x88,0x77,0xde,0x79,0x87,0xa2,0xa2,0x22,
	0x02,0x81,0x40,0x3a,0x8f,0x62,0xa0,0xe6,0xb6,0x3a,0x3b,0xb0,0xda,0xe1,0x70,0x48,
	0x28,0x14,0x92,0x2f,0xbf,0xfc,0x52,0x4c,0xd3,0x94,0xfa,0xfa,0xfa,0x5e,0x1f,0x08,
	0x87,0xc3,0x12,0x8b,0xc5,0xe4,0xf8,0xf1,0xe3,0x92,0x48,0x24,0x24,0x18,0x0c,0x8a,
	0xc3,0xe1,0xc8,0xf4,0x93,0x35,0x23,0x95,0x3f,0xaa,0x1a,0x79,0xf2,0xc9,0x27,0xd9,
	0xba,0x75,0x2b,0x75,0x75,0x75,0x84,0xc3,0x61,0x36,0x6e,0xdc,0x48,0x65,0x65,0x25,
	0xb1,0x58,0x0c,0x97,0xcb,0xc5,0x0b,0x2f,0xbc,0xc0,0x89,0x13,0x27,0x98,0x39,0x73,
	0x26,0xaf,0xbf,0xfe,0x3a,0x87,0x0f,0x1f,0x66,0xce,0x9c,0x39,0xe9,0x3c,0x0a,0xee,
	0x04,0x1f,0x31,0xdf,0x7e,0xfb,0x6d,0x9a,0x9b,0x9b,0xb9,0x74,0xe9,0x12,0xe1,0x70,
	0x18,0x80,0x6c,0xb9,0x84,0xd3,0xe9,0x04,0xe0,0xc0,0x81,0x03,0x54,0x57,0x57,0xb3,
	0x69,0xd3,0x26,0x4c,0xd3,0x24,0x3f,0x3f,0x3f,0x93,0x47,0xe1,0x6d,0xcf,0x23,0xc0,
	0xb7,0x00,0xa9,0xad,0xad,0x15,0x8f,0xc7,0x23,0x75,0x9b,0x95,0xec,0x7f,0x15,0xb1,
	0x7e,0x8f,0xfc,0xfa,0x1f,0x91,0xb6,0x5f,0x21,0x4d,0x3b,0x95,0x00,0xb2,0x7c,0xf9,
	0x72,0x11,0x11,0xf9,0xe4,0x93,0x4f,0x32,0x4d,0xeb,0x3f,0x47,0x2a,0x5f,0x8d,0x56,
	0xd1,0xa8,0x94,0x9a,0x0f,0x1c,0xba,0x78,0xf6,0x73,0xcc,0xa3,0xb3,0x29,0x99,0x02,
	0xdd,0x1d,0x90,0x5b,0x74,0x37,0x24,0x6a,0x31,0x13,0x09,0x74,0x5d,0x47,0x44,0x23,
	0x16,0x8b,0x73,0xae,0xbe,0x94,0x99,0x8f,0x35,0x64,0xb2,0xd9,0x27,0x22,0x8b,0x6e,
	0xb7,0x69,0x75,0x2a,0x05,0xad,0xbf,0x9e,0xcd,0x84,0x49,0xa0,0x69,0x90,0x3b,0xce,
	0x01,0x58,0x40,0x02,0xdd,0x9d,0x0d,0x8e,0x4a,0x94,0x73,0x1a,0x2e,0x0f,0xcc,0xa8,
	0x6c,0xe0,0xb9,0x65,0x7d,0x78,0x94,0xdd,0x09,0x3e,0xd2,0xb9,0xb4,0x0a,0xa6,0x56,
	0x82,0x91,0x0a,0x21,0x5a,0x36,0x98,0x8d,0x20,0x5e,0x60,0x12,0x28,0x8d,0xfa,0x33,
	0xe7,0xd9,0xfc,0x3e,0x74,0x77,0x81,0x65,0xf6,0xe1,0x51,0xa2,0x94,0xaa,0xb8,0xdd,
	0x79,0xa4,0x73,0x6f,0x0d,0x34,0x5f,0x82,0x44,0x1c,0xc6,0x8e,0x03,0xe4,0x8a,0x1d,
	0xcf,0x8a,0xe9,0xee,0x6e,0x63,0xcb,0xfb,0x4d,0xf8,0x7c,0xf0,0xf8,0xe3,0x10,0x0c,
	0xc2,0xa6,0x3d,0x1a,0x60,0xf1,0xc8,0x23,0x8f,0x10,0x8d,0x46,0xf9,0xe8,0xa3,0x8f,
	0x00,0x96,0x03,0xb5,0xc3,0x36,0xed,0x51,0xf4,0x11,0x03,0x88,0xfe,0x6c,0xed,0x02,
	0xed,0x2e,0x75,0x88,0xce,0x2e,0x70,0xfb,0xa0,0xbd,0x03,0x62,0x31,0xf0,0x78,0xe0,
	0xa9,0xef,0x41,0xdc,0x84,0x3f,0x34,0x40,0x8d,0x7a,0x97,0xcf,0x6a,0x1a,0xd9,0xb0,
	0x61,0x03,0xab,0x57,0xaf,0x26,0x2b,0x2b,0x8b,0x60,0x30,0xc8,0xd6,0xad,0x5b,0x6b,
	0x80,0x2a,0x19,0xe6,0xc2,0x46,0x13,0xc8,0x0c,0xa0,0x76,0xfb,0xf6,0xed,0x74,0x9d,
	0xd9,0xcd,0xbd,0xf9,0xef,0x53,0x3e,0x03,0x74,0x03,0x44,0x20,0x12,0x81,0xa6,0x06,
	0xb8,0x14,0x5e,0xcd,0x3d,0xab,0xde,0x41,0xd7,0x75,0x1a,0x1b,0x1b,0x99,0x3e,0x7d,
	0x3a,0x00,0x6b,0xd6,0xac,0xa1,0xbb,0xbb,0x9b,0x9d,0x3b,0x77,0x02,0xac,0x12,0x91,
	0xff,0xba,0x5d,0x40,0x5e,0x02,0x7e,0xdc,0xd0,0xd0,0xc0,0xb5,0x6b,0xd7,0x38,0xb8,
	0x77,0x3b,0x45,0x6d,0x3f,0x22,0xc7,0x63,0x61,0x9a,0x8a,0xee,0xf1,0xcf,0x70,0xcf,
	0x9f,0xaf,0xa5,0xa8,0xa8,0x08,0x5d,0xd7,0x93,0x89,0xc7,0x34,0x79,0xf3,0xcd,0x37,
	0x79,0xfe,0xf9,0xe7,0x33,0xd9,0x9d,0x05,0x2a,0x44,0x24,0xf1,0x95,0xe6,0x11,0xa0,
	0x04,0x08,0xbe,0xf1,0xc6,0x1b,0x62,0x9a,0xa6,0xc4,0x62,0x31,0x39,0x76,0xec,0x98,
	0x6c,0xdb,0xb6,0x4d,0x3e,0xfe,0xf8,0x63,0x39,0x74,0xe8,0x90,0xb4,0xb6,0xb6,0x8a,
	0x69,0x9a,0x92,0x39,0xba,0xba,0xba,0x06,0x2a,0xeb,0x7f,0xfc,0x95,0xf6,0x23,0x76,
	0xb1,0xb8,0x4f,0x29,0x25,0xc1,0x60,0xb0,0x77,0x81,0xa1,0x50,0x48,0x6a,0x6b,0x6b,
	0x25,0x10,0x08,0x48,0x77,0x77,0xb7,0x58,0x96,0x25,0xfd,0x0d,0xd3,0x34,0xe5,0xd1,
	0x47,0x1f,0xed,0x0f,0x48,0x02,0x98,0xf7,0x55,0x02,0xf9,0x09,0x20,0x07,0x0f,0x1e,
	0xec,0xb3,0xd8,0x78,0x3c,0x2e,0x89,0x44,0x42,0x6e,0x34,0x3a,0x3a,0x3a,0x06,0xd2,
	0xca,0x39,0xc0,0x77,0xcb,0x81,0x00,0x0f,0x02,0xa6,0x52,0x4a,0xda,0xdb,0xdb,0x65,
	0xa4,0x23,0x1e,0x8f,0x0f,0xd6,0x39,0xfe,0xfc,0x96,0x76,0x88,0x4a,0xa9,0x02,0xe0,
	0x03,0x40,0x5b,0xbe,0x7c,0x39,0x9a,0x36,0x74,0x56,0xa6,0x69,0xd2,0xdc,0xdc,0xcc,
	0x85,0x0b,0x17,0xa8,0xab,0xab,0x43,0xd3,0x34,0x0e,0x1e,0x3c,0x38,0xd0,0xf4,0xef,
	0x29,0xa5,0xbe,0x7e,0x2b,0x13,0xe2,0x8b,0xa9,0xb2,0x7b,0xe2,0xc4,0x89,0x1c,0x3d,
	0x7a,0x94,0xfb,0xee,0xbb,0x0f,0xaf,0xd7,0x0b,0x40,0x73,0x73,0x33,0x81,0x40,0x80,
	0xec,0xec,0x6c,0xaa,0xaa,0xaa,0x7a,0x1f,0xba,0x7a,0xf5,0x2a,0x67,0xcf,0x9e,0x25,
	0x10,0x08,0x10,0x0e,0x87,0xb1,0x2c,0x8b,0x53,0xa7,0x4e,0xb1,0x6c,0xd9,0xb2,0xc1,
	0x64,0x6d,0x54,0x4a,0x55,0x8b,0x88,0x35,0xaa,0xe1,0x57,0x29,0x95,0x0f,0x34,0x00,
	0x1e,0x97,0xcb,0xc5,0x8e,0x1d,0x3b,0x98,0x37,0x6f,0x1e,0x39,0x39,0x39,0x43,0xd2,
	0x4c,0x22,0x91,0xa0,0xa1,0xa1,0x81,0x40,0x20,0x40,0x4b,0x4b,0x0b,0xe1,0x70,0x98,
	0xbc,0xbc,0x3c,0x0e,0x1f,0x3e,0xcc,0xee,0xdd,0xbb,0x29,0x28,0x28,0x60,0xff,0xfe,
	0xfd,0x64,0xac,0x6d,0x8d,0x88,0x7c,0x30,0xaa,0xe1,0x17,0xf8,0x49,0x61,0x61,0xa1,
	0x64,0x67,0x67,0xcb,0x5b,0x6f,0xbd,0x25,0xb1,0x58,0x6c,0xc4,0xfe,0x11,0x0a,0x85,
	0x64,0xd7,0xae,0x5d,0xb2,0x65,0xcb,0x16,0x69,0x69,0x69,0x11,0x40,0xca,0xca,0xca,
	0x64,0xf6,0xec,0xd9,0xa9,0x13,0xc9,0x14,0x05,0x00,0xe7,0xa8,0x39,0x3b,0x90,0x05,
	0x74,0x55,0x54,0x54,0x88,0xa6,0x69,0xd2,0xd3,0xd3,0x23,0xa3,0x31,0x6a,0x6b,0x6b,
	0xe5,0xe4,0xc9,0x93,0x32,0x7f,0xfe,0x7c,0x29,0x28,0x28,0x90,0x09,0x13,0x26,0x88,
	0xd7,0xeb,0xcd,0x74,0xfc,0x67,0x46,0x13,0xc8,0x0f,0x27,0x4f,0x9e,0x2c,0x95,0x95,
	0x95,0xb2,0x7f,0xff,0xfe,0x01,0xf3,0xc3,0x48,0xa3,0x57,0x5b,0x5b,0x9b,0x94,0x95,
	0x95,0x49,0x79,0x79,0xb9,0x4c,0x9b,0x36,0x4d,0xaa,0xaa,0xaa,0xd2,0x81,0x5c,0x1e,
	0x28,0x1c,0x0f,0x17,0x84,0x06,0x34,0x54,0x55,0x55,0x49,0x6e,0x6e,0xae,0x44,0x22,
	0x11,0x19,0xed,0x11,0x8d,0x46,0xc5,0xe1,0x70,0x88,0xcf,0xe7,0x13,0xbf,0xdf,0x2f,
	0x0f,0x3e,0xf8,0x60,0xa6,0x56,0x5e,0x1c,0x8d,0xf0,0xbb,0xd4,0xeb,0xf5,0x96,0xf4,
	0xf4,0xf4,0xb0,0x7e,0xfd,0xfa,0xde,0x5e,0x7c,0x34,0x87,0x61,0x18,0xc4,0xe3,0x71,
	0x82,0xc1,0x20,0x1d,0x1d,0x1d,0x44,0xa3,0xd1,0xcc,0x29,0xdf,0xbd,0x69,0x67,0x07,
	0xfe,0xc7,0xe9,0x74,0x8a,0xcb,0xe5,0x92,0xd6,0xd6,0xd6,0x41,0x77,0xb6,0xb3,0xb3,
	0x73,0xc4,0x5a,0x29,0x2d,0x2d,0xed,0xd5,0x40,0x79,0x79,0x79,0x7f,0x49,0xb2,0x74,
	0xc4,0x1a,0x51,0x4a,0x4d,0x03,0x96,0x4c,0x99,0x32,0x85,0x68,0x34,0x4a,0x4e,0x4e,
	0xce,0x80,0x73,0xe3,0xf1,0x38,0x35,0x35,0x35,0x23,0xd6,0xca,0xc2,0x85,0x0b,0x7b,
	0xef,0x2f,0x5e,0xbc,0xd8,0xdf,0x94,0x25,0x37,0xd3,0xea,0xfe,0x10,0x50,0x05,0x05,
	0xc9,0xa3,0xa7,0x54,0x29,0xde,0xdf,0x88,0x44,0x22,0x74,0x76,0x76,0x8e,0x0a,0x90,
	0x49,0x93,0x26,0xf5,0x37,0x65,0xf6,0x88,0x80,0xd8,0xe5,0xc8,0x77,0xed,0x7b,0xfc,
	0x7e,0x3f,0x4a,0xa9,0x01,0xe7,0x87,0x42,0x21,0x42,0xa1,0xd0,0x88,0x81,0x94,0x96,
	0x96,0x26,0x4f,0xeb,0x0a,0x0a,0x28,0x2e,0x2e,0xee,0xd7,0x23,0x46,0xaa,0x91,0x4a,
	0xc0,0x0d,0x70,0xe5,0xca,0x15,0x2a,0x2a,0x2a,0x06,0x05,0xf2,0xc5,0x17,0x5f,0xdc,
	0x94,0xc3,0x9f,0x39,0x73,0x06,0x00,0xbf,0xdf,0x4f,0x75,0x75,0x75,0xbf,0xe5,0xda,
	0x48,0x81,0x9c,0x38,0xb9,0x19,0xc2,0x07,0x60,0xc1,0xc4,0xd3,0xbd,0xa7,0x88,0x03,
	0x0d,0xcb,0xb2,0xb0,0x2c,0x6b,0xc4,0x07,0x86,0xef,0xbd,0xf7,0x1e,0x4b,0x96,0x2c,
	0xa1,0xb8,0xb8,0x98,0xf1,0xe3,0xc7,0xb3,0x78,0xf1,0x62,0x1e,0x78,0xe0,0x81,0xf4,
	0x69,0xa7,0x47,0x14,0xb5,0x2e,0xff,0x92,0x84,0x1c,0x75,0x8a,0x1c,0xcf,0x17,0xeb,
	0xa8,0x92,0x8b,0xdb,0x91,0x8e,0x8e,0x8e,0x01,0xa3,0x4e,0x7d,0x7d,0xbd,0x7c,0xf8,
	0xe1,0x87,0xc3,0x8a,0x54,0xdd,0x0d,0x7b,0x24,0xb8,0x5f,0x49,0xe2,0x33,0xb7,0x3c,
	0xfd,0x6d,0x77,0x9f,0x48,0x35,0x7d,0xfa,0x74,0x79,0xe2,0x89,0x27,0x04,0x68,0x05,
	0xdc,0xc3,0x4e,0x88,0x3b,0x7f,0xc0,0x8f,0xac,0x63,0x88,0x7c,0x5e,0x21,0x72,0x72,
	0xb6,0xc8,0x89,0xbb,0x45,0x8e,0x39,0xe4,0xc2,0x47,0x48,0x4b,0x4b,0x4b,0xbf,0x99,
	0x3d,0x1c,0x0e,0xcb,0xbe,0x7d,0xfb,0x86,0x05,0xa4,0x63,0x8f,0x26,0x72,0x62,0x96,
	0xc8,0xc9,0xaf,0x89,0x1c,0x2b,0xed,0xb7,0x37,0x29,0x1c,0x3f,0x46,0xe4,0xe4,0x0c,
	0x49,0x7c,0xe6,0x97,0x61,0x85,0xdf,0xff,0xf8,0x4b,0x95,0xbb,0xf8,0x2f,0xf8,0x67,
	0xa5,0xe5,0x83,0x72,0xd9,0x96,0x68,0x80,0x3e,0x99,0xd2,0x89,0xf0,0xf4,0x5f,0x15,
	0x10,0x08,0x04,0x32,0xab,0x54,0xdc,0x6e,0x37,0x0b,0x16,0x2c,0x18,0x96,0x49,0x85,
	0xae,0x01,0x56,0x17,0xa8,0x18,0xbf,0x3f,0xd4,0xe7,0x28,0x95,0x3c,0x2f,0x34,0xff,
	0xc6,0x0f,0xe2,0x46,0x77,0x15,0x0d,0xed,0xa4,0x71,0xdb,0x53,0xea,0xb1,0xea,0xf5,
	0x2a,0x7c,0xef,0x72,0x3a,0xb3,0xb2,0x01,0xc6,0x41,0xca,0xb9,0x15,0x80,0x17,0x65,
	0xe4,0xb0,0x6d,0x23,0x4c,0x99,0x32,0x85,0x4f,0x3f,0xfd,0xb4,0x8f,0x4f,0x18,0xc6,
	0xd0,0x5b,0x9d,0x68,0x34,0xca,0xb5,0x6e,0x01,0xb3,0x81,0x44,0xb0,0x86,0x68,0x08,
	0xe6,0xa5,0x45,0xdd,0xb9,0x13,0xe1,0xf4,0x07,0x80,0x24,0x40,0x9a,0x40,0x7a,0x06,
	0xef,0x47,0x7e,0xf7,0xaf,0xaa,0x71,0xd6,0x7c,0x26,0x38,0x1c,0xa9,0xb0,0x0b,0x4a,
	0xf3,0x81,0x5e,0x0e,0x2a,0x23,0x6f,0x58,0x11,0x48,0xd4,0xd2,0xde,0x06,0xf9,0x4b,
	0x61,0xed,0xda,0xb5,0x6c,0xd8,0xb0,0x61,0x44,0x65,0xcb,0x85,0x0b,0x17,0x68,0xf9,
	0xef,0xc9,0xcc,0x5d,0x28,0x88,0xc0,0x1f,0x2e,0xc2,0xf9,0x33,0xd0,0x73,0x35,0x79,
	0xfc,0x5a,0x32,0x09,0xa6,0x55,0x82,0xe1,0xfe,0x53,0x50,0x4e,0xc4,0x0c,0x51,0xfb,
	0x59,0xfd,0x73,0x95,0x7f,0x2f,0xff,0xd6,0x2f,0x90,0xd0,0x3e,0x65,0x79,0x73,0x72,
	0x14,0x7a,0x11,0x88,0xfe,0x47,0x53,0x52,0x7a,0x7f,0xe1,0x05,0xac,0xcb,0x48,0xa2,
	0x89,0x7b,0x1e,0x86,0xcf,0xcf,0x43,0x59,0x59,0x19,0x35,0x35,0x35,0xbd,0x5d,0xe2,
	0x50,0x47,0x63,0x63,0x23,0x67,0x36,0x97,0xb2,0xf8,0x9b,0x82,0x6e,0x80,0x69,0x26,
	0x41,0x84,0x23,0xe0,0xf5,0x81,0x2f,0x0b,0x0c,0xf7,0xac,0xeb,0xd7,0x21,0x31,0x2e,
	0x9e,0x3b,0x3d,0xa5,0x64,0xa5,0x9c,0xef,0x63,0x5a,0x22,0x28,0x94,0x3f,0xd9,0x72,
	0x28,0x4f,0xd2,0x2f,0x94,0x3e,0x50,0x96,0x04,0x2d,0x1f,0xa5,0x9c,0x1c,0xde,0xf2,
	0xc7,0x9d,0x3d,0x71,0xe2,0xc4,0x88,0x0a,0xc5,0x68,0x04,0x12,0x76,0x76,0xd0,0x75,
	0xc8,0xf5,0x43,0xe1,0x5d,0x30,0x26,0x17,0x0c,0xc3,0xdf,0x77,0x1d,0xca,0x49,0x49,
	0xf9,0xdd,0xf5,0x4d,0x3b,0x8c,0x97,0xfb,0x00,0x89,0x47,0x11,0xcc,0xe6,0xe4,0x6e,
	0x0f,0x29,0xe5,0x1b,0xe0,0x98,0x8c,0xcb,0x05,0x47,0xde,0x4d,0xfe,0x54,0x53,0x53,
	0xc3,0x48,0xda,0xe7,0x78,0x1c,0xe2,0xbd,0x85,0x6e,0x0e,0x68,0x53,0x51,0x7a,0x09,
	0x68,0xa5,0x60,0x14,0x0f,0x28,0xff,0xae,0x49,0x55,0xeb,0x23,0x87,0xfc,0x31,0xe3,
	0xfa,0xd2,0x02,0x72,0x89,0xda,0x89,0x73,0x88,0xce,0xaa,0xdc,0xa0,0x7c,0xcc,0x99,
	0x15,0xa4,0xbd,0xb5,0x95,0xb1,0x37,0x28,0x5f,0xfa,0x3b,0x51,0x59,0xb1,0x62,0x05,
	0x2f,0x2d,0x16,0xbb,0xee,0x70,0x82,0x51,0x96,0xdc,0x24,0xb2,0xed,0xc8,0xab,0x06,
	0x7d,0x33,0xe2,0xf6,0x95,0x38,0xae,0xd3,0x48,0x76,0x2e,0x80,0xeb,0x06,0x0f,0xf6,
	0x41,0x02,0xfa,0x78,0x74,0x1d,0xd4,0xf1,0x82,0x61,0x81,0x88,0xc7,0xe3,0xac,0x5c,
	0xb9,0x92,0x23,0x47,0x8e,0xe0,0x72,0xdb,0xef,0x55,0xd4,0xb8,0x0c,0x33,0x1a,0x0a,
	0x3f,0xeb,0x7a,0xd3,0x72,0x7b,0x50,0x68,0xae,0x61,0x16,0xc5,0x0a,0x94,0x13,0x14,
	0xe4,0xe4,0x0a,0xd5,0x3f,0x9d,0x35,0xa8,0x69,0x59,0x96,0x45,0x24,0x12,0xa1,0xa6,
	0xa6,0x06,0xa7,0xd3,0xc9,0x8e,0x1d,0x3b,0xc8,0xf3,0x81,0xdb,0x03,0x86,0x83,0xa4,
	0x6f,0x0e,0x79,0x23,0x05,0x24,0xce,0x95,0xcb,0xe7,0x1a,0x8c,0xb4,0x0a,0xd7,0x69,
	0xfe,0x0e,0x90,0x2e,0x90,0x0e,0x50,0xd9,0xf6,0xb1,0xae,0x3e,0x04,0xc6,0x46,0x6f,
	0x3d,0xea,0x55,0xa7,0xf8,0xed,0x81,0xfd,0xdc,0x33,0xe7,0xcf,0x7a,0x73,0x89,0x69,
	0x9a,0x24,0x12,0x09,0xda,0xdb,0xdb,0x59,0xb4,0x68,0x51,0x9f,0x1e,0xa3,0xa2,0x10,
	0x5c,0xae,0x54,0x6b,0x60,0xdd,0xc0,0x9c,0x92,0x89,0x5e,0x24,0xc2,0xa5,0x73,0x75,
	0xd1,0x92,0xef,0x90,0x2d,0x22,0x71,0x23,0xed,0x25,0x8d,0x53,0x52,0xf3,0xcc,0x06,
	0x30,0xf5,0x64,0xc1,0xab,0xfb,0x40,0xf3,0x82,0x95,0x95,0xb4,0x5b,0xa5,0xf5,0x15,
	0x62,0x83,0xb0,0x4c,0xf0,0xb8,0xe0,0x91,0xbf,0x59,0x44,0xdd,0xe5,0xa1,0xeb,0xf4,
	0x6b,0x13,0x93,0x66,0x65,0x59,0x16,0x1a,0x31,0x10,0xcb,0x36,0x2f,0x49,0xdb,0x79,
	0x13,0xac,0x28,0x62,0xb5,0x72,0xe1,0x4c,0xa7,0xf5,0xb7,0x2f,0x31,0xf3,0x48,0x80,
	0x36,0xc0,0xa5,0x94,0x32,0x8d,0xb4,0xcf,0x2f,0x8c,0x4f,0xab,0xd9,0x3c,0x7b,0x16,
	0x8f,0x2b,0x0d,0xa5,0x19,0x26,0xba,0x1e,0xc4,0xd0,0x83,0x68,0x7a,0x52,0x90,0x6e,
	0x80,0xd2,0xf2,0x40,0x1b,0x63,0xfb,0x92,0x01,0x04,0x21,0xd1,0x8c,0x29,0xd0,0xd3,
	0x0d,0xb1,0x38,0x4c,0x1a,0xc7,0xb0,0x80,0x64,0xbb,0x21,0x1a,0x85,0xab,0x1d,0x82,
	0x7f,0x7c,0x3b,0x4a,0x4c,0x50,0xde,0x64,0xd0,0x91,0x38,0x22,0xd7,0x88,0x45,0x7a,
	0x38,0x5f,0x27,0xfc,0x6a,0x2f,0xef,0xae,0xfd,0x05,0x9b,0x80,0x88,0xbd,0x00,0x03,
	0x30,0x94,0x88,0xa0,0x94,0x72,0x93,0xfc,0xb2,0xc7,0x03,0x78,0x96,0xcd,0x64,0xea,
	0x37,0xaa,0x58,0x37,0xde,0xcf,0xbd,0x39,0x39,0xb8,0xbc,0x3e,0xd4,0x98,0xb1,0x30,
	0x26,0x0f,0xf2,0xf2,0xc0,0xe9,0xb6,0x41,0xa9,0x24,0x99,0x26,0x5c,0xed,0x84,0x96,
	0x46,0xb8,0x78,0x11,0xfe,0xee,0x2d,0x68,0xee,0xa2,0x19,0x68,0x26,0xf9,0xe9,0x53,
	0xc8,0x16,0x1c,0xb5,0x29,0x06,0xf8,0x93,0x6f,0x48,0x99,0xb8,0x62,0x16,0xd9,0xdf,
	0x5f,0x01,0xc5,0x25,0x90,0x3b,0x16,0x7c,0xd9,0xe0,0x70,0x24,0x5f,0xd9,0xf5,0xf4,
	0x40,0x6b,0x33,0x34,0xd4,0x63,0xfe,0xd3,0x87,0xac,0xac,0x6d,0xa2,0x89,0xe4,0xf7,
	0x5d,0xe9,0x14,0x32,0xd2,0x8c,0xc3,0x4a,0xd1,0xae,0xd3,0x7c,0xb9,0xeb,0x34,0xcf,
	0xd9,0xcd,0x94,0xc7,0xef,0x61,0xcc,0xf7,0x17,0xf3,0x78,0x45,0x19,0x5f,0x1f,0x3b,
	0x0e,0xe7,0xd8,0x3c,0xf0,0x78,0x93,0x0e,0xea,0x70,0x41,0x22,0x06,0x57,0x3b,0xa0,
	0xa9,0x09,0x8e,0xd6,0x70,0xa9,0xb9,0x8b,0x7f,0x01,0x8e,0xa7,0x55,0xae,0xe9,0xe1,
	0x47,0x92,0x31,0x16,0x8f,0xcd,0xdf,0x7d,0xb6,0x95,0xca,0x2b,0x6d,0xbc,0xa8,0x69,
	0xd0,0xd5,0x09,0x3e,0x5f,0x32,0xde,0x44,0xc3,0xd0,0xd1,0x06,0x81,0x0b,0x04,0x9e,
	0xfe,0x80,0xa7,0x2c,0x21,0x64,0xe7,0x06,0x2b,0x83,0x12,0x29,0x8d,0x68,0xe9,0x8c,
	0x33,0xc8,0x95,0x46,0x4e,0xa7,0x8e,0xfb,0x99,0x07,0x58,0x71,0x77,0x29,0x4b,0xb3,
	0x73,0xc8,0xf2,0x79,0x50,0xa6,0x09,0xa1,0x30,0x1c,0xfd,0x3f,0xb6,0xbc,0xba,0x87,
	0x2d,0x69,0x3b,0x9f,0xc8,0xf0,0xdc,0xd4,0x7d,0x8a,0xaf,0xdb,0x06,0xe5,0x7c,0xf9,
	0x21,0x9e,0x9c,0x5e,0xc2,0x37,0xdc,0x6e,0xd0,0x1d,0x49,0x7f,0x8b,0x86,0x91,0xbd,
	0xa7,0xf8,0xe9,0xbf,0xff,0x96,0xdf,0xd8,0xfc,0x22,0x69,0x14,0xb6,0xaf,0x21,0x20,
	0xd4,0x5b,0x6b,0x65,0x80,0x71,0x65,0x02,0x00,0x1c,0x36,0x19,0x76,0x7c,0x56,0x00,
	0x0f,0xcd,0x60,0xaa,0xa9,0x13,0xfb,0xdf,0x3a,0xea,0x23,0x09,0x22,0x24,0xbf,0x2e,
	0x8d,0xa5,0x81,0x31,0xed,0xf9,0x09,0xfb,0x9a,0xce,0x33,0x45,0x06,0xa0,0xe7,0x7a,
	0x70,0xcf,0x29,0xe5,0x4f,0xee,0x1a,0x43,0xfe,0xe7,0x8d,0x9c,0x39,0xdd,0x44,0x8b,
	0xfd,0x5c,0x2c,0x83,0x67,0x0a,0x54,0x10,0x08,0xf7,0xf9,0x84,0xc3,0x4e,0x66,0xd7,
	0xed,0x54,0x06,0x88,0x54,0x3c,0xd6,0x32,0x76,0xd9,0xb2,0x17,0x6c,0xda,0x40,0xe2,
	0x19,0xc2,0xc3,0x36,0x9f,0x4c,0x10,0xa9,0x8d,0x49,0x8f,0xf3,0x2a,0xc3,0xd4,0x13,
	0x69,0x3c,0xe3,0x69,0x3e,0x76,0x0d,0x88,0xf7,0x2a,0xa2,0xbf,0xe4,0xa5,0x92,0x88,
	0x8c,0x34,0xa1,0xc6,0x00,0x02,0x49,0xf3,0x83,0x14,0x90,0xd4,0x0e,0x46,0xec,0xab,
	0x95,0xa1,0xf5,0xd4,0x46,0x19,0x03,0x6c,0x8e,0x4a,0xe3,0x99,0x02,0x92,0xda,0xa0,
	0x70,0xca,0x64,0x33,0xd7,0x7d,0xc3,0xf7,0x23,0x36,0x28,0xcd,0x26,0x3d,0xe3,0x9a,
	0xee,0x70,0x66,0xda,0x75,0xd0,0xf7,0xfd,0xb6,0xe6,0xb5,0x34,0x10,0x99,0x60,0xcc,
	0x0c,0x2d,0x9b,0x80,0x39,0x18,0xcf,0xff,0x07,0x52,0x47,0x09,0x60,0x66,0x14,0xd9,
	0x25,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82,'%','E','N','D'};

//Nur Dateiname und Pointer eintragen	
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
	{"index.html",Page1},
	{"status.html",Page2},
	#if USE_CAM
	{"camera.jpg",bild_balken},
	#endif //USE_CAM
	{"tux.png",bild_tux},
	{NULL,NULL} 
};

#endif //_WEBPAGE_H
